%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

Summary:	Framework providing Desktop activity awareness
Name:		zeitgeist
Version:	0.9.0
Release:	1%{?dist}
Group:		User Interface/Desktops
License:	LGPLv2+
URL:		https://launchpad.net/zeitgeist
Source0:	http://launchpad.net/%{name}/0.9/0.9.0/+download/%{name}-%{version}.tar.bz2
Patch1:		zeitgeist-0.9.0-crash-fix.patch
Patch2:		zeitgeist-dso-build-fix.patch
BuildRequires:	vala, python-devel, python-rdflib
BuildRequires:	glib2-devel, dbus-devel, sqlite-devel
BuildRequires:	raptor2, xapian-core-devel
BuildRequires:	gettext, perl(XML::Parser), intltool
Requires:	dbus zeitgeist-datahub
Requires:	dbus-python pygobject2 pyxdg

%description
Zeitgeist is a service which logs the users's activities and events (files
opened, websites visites, conversations hold with other people, etc.) and makes
relevant information available to other applications. 

Note that this package only contains the daemon, which you can use
together with several different user interfaces.

%prep
%setup -q
%patch1 -p1
%patch2 -p0

## nuke unwanted rpaths, see also
## https://fedoraproject.org/wiki/Packaging/Guidelines#Beware_of_Rpath
sed -i -e 's|"/lib /usr/lib|"/%{_lib} %{_libdir}|' configure

%build
%configure
make %{?_smp_mflags} 

%install
rm -rf %{buildroot}
make DESTDIR=%{buildroot} install

#%find_lang %{name}

#%files -f %{name}.lang
%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING NEWS
%{_bindir}/zeitgeist-daemon
%{_libexecdir}/zeitgeist-fts
%{_datadir}/%{name}/
%{python_sitelib}/zeitgeist/
%{_datadir}/dbus-1/services/org.gnome.zeitgeist*.service
%{_mandir}/man1/zeitgeist-*.*
%exclude %{_prefix}/doc/zeitgeist/

%changelog
* Mon May 21 2012 Deji Akingunola <dakingun@gmail.com> - 0.9.0-1
- Update to 0.9.0
- Apply upstream patch to fix a crasher bug.

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Sat Oct 22 2011 Deji Akingunola <dakingun@gmail.com> - 0.8.2-2
- Revert post-install script to restart zeitgeist daemon on update

* Tue Oct 18 2011 Deji Akingunola <dakingun@gmail.com> - 0.8.2-1
- Update to 0.8.2
- Restart the zeitgeist daemon on update (BZ #627982)

* Wed Jul 20 2011 Deji Akingunola <dakingun@gmail.com> - 0.8.1-1
- Update to 0.8.1

* Fri May 13 2011 Deji Akingunola <dakingun@gmail.com> - 0.8.0-1
- Update to 0.8.0
- Add a hard requires on zeitgeist-datahub

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Tue Jan 25 2011 Deji Akingunola <dakingun@gmail.com> - 0.7-1
- Update to 0.7

* Fri Aug 06 2010 Deji Akingunola <dakingun@gmail.com> - 0.5.0-1
- Update to 0.5.0

* Thu Jul 22 2010 David Malcolm <dmalcolm@redhat.com> - 0.4.0-2
- Rebuilt for https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild

* Tue Jun 15 2010 Deji Akingunola <dakingun@gmail.com> - 0.4.0-1
- Update to 0.4.0

* Wed Apr 21 2010 Deji Akingunola <dakingun@gmail.com> - 0.3.3.1-1
- Update to 0.3.3.1 to fix datasource_registry bug (BZ #586238)

* Wed Apr 21 2010 Deji Akingunola <dakingun@gmail.com> - 0.3.3-1
- Update to 0.3.3

* Wed Jan 20 2010 Deji Akingunola <dakingun@gmail.com> - 0.3.2-1
- Update to 0.3.2

* Thu Jan 14 2010 Deji Akingunola <dakingun@gmail.com> - 0.3.1-1
- Add missing requires (Package reviews)
- Update license tag (Package reviews)
- Update to latest release

* Tue Dec 01 2009 Deji Akingunola <dakingun@gmail.com> - 0.3.0-1
- Update to 0.3.0

* Wed Nov 04 2009 Deji Akingunola <dakingun@gmail.com> - 0.2.1-1
- Initial Fedora packaging
